---
title: Localizing MDN
slug: MDN/Contribute/Localize
tags:
  - Localization
  - MDN Meta
  - l10n
---
<div>{{MDNSidebar}}</div>

<p>Since December 14th 2020, MDN will have been running on the new GitHub-based <a href="https://github.com/mdn/yari">Yari platform</a>. This has a lot of advantages for MDN, but we've needed to make radical changes to the way in which we handle localization. This is because we've ended up with a lot of unmaintained and out-of-date content in our non-en-US locales, and we want to manage it better in future.</p>

<p>The plan going forward is to freeze all localized content (meaning that we won't accept any edits to it; it'll be read-only), and then only unfreeze locales that have dedicated teams taking responsibility for maintaining them.</p>

<h2 id="Active_locales">Active locales</h2>

<p>We are currently planning to unfreeze the following locales.</p>

<div class="notecard note">
<p><strong>Note</strong>: If you want to contribute to one of the existing active locales, or want to discuss unfreezing a currently frozen locale, get in touch with one of the active members listed below, or <a href="/en-US/docs/MDN/Contribute/Getting_started#Step_4_Ask_for_help">contact us for help</a>.</p>
</div>

<h3 id="Chinese_zh-CN_zh-TW">Chinese (zh-CN, zh-TW)</h3>

<ul>
 <li>Discussions: <a href="https://moztw.org/tg">Telegram (MozTW L10n channel)</a></li>
 <li>Contributors contact: <a href="https://github.com/irvin">Irvin</a></li>
</ul>

<h3 id="French_fr">French (fr)</h3>

<ul>
 <li>Discussions : <a href="https://chat.mozilla.org/#/room/#l10n-fr:mozilla.org">Matrix (#l10n-fr channel)</a></li>
 <li>Current core contributors: <a href="https://github.com/SphinxKnight">SphinxKnight</a>, <a href="https://developer.mozilla.org/en-US/profiles/smeden-lod">smeden-lod</a>, <a href="https://developer.mozilla.org/fr/profiles/Voulto">Voulto</a>, <a href="https://github.com/tristantheb">tristantheb</a>, <a href="https://wiki.developer.mozilla.org/en-US/profiles/JNa0">JNa0</a></li>
</ul>

<h3 id="Japanese_ja">Japanese (ja)</h3>

<ul>
 <li>Discussions: <a href="https://groups.google.com/forum/#!forum/mozilla-translations-ja">Mozilla.translations.ja</a></li>
 <li>Current contributors: <a href="https://github.com/mfuji09">mfuji09</a></li>
</ul>

<h2 id="Other_MDN_localization">Other MDN localization</h2>

<p>For the moment, the new MDN platform UI will only be in English. This is a problem that we are going to get to later on.</p>

<p>KumaScript macros are still going to work on the new MDN platform, but we will eventually phase them out as we build up the new platform. For now, they will continue to work as before, and are still edited via pull pull requests to the <a href="https://github.com/mdn/kumascript">kumascript GitHub repo</a>.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://hacks.mozilla.org/2020/12/an-update-on-mdn-web-docs-localization-strategy/">An update on MDN Web Docs’ localization strategy</a> — the latest state of localization on MDN</li>
 <li><a href="https://hacks.mozilla.org/2020/10/mdn-web-docs-evolves-lowdown-on-the-upcoming-new-platform/">MDN Web Docs evolves! Lowdown on the upcoming new platform</a> — more on the advantages of the new platform, and the rationale behind the localization changes.</li>
</ul>
